# Resolve Group

Launch stage: Beta

`POST /api/2.0/identity/accounts/{account_id}/groups/resolve-by-external-id`

Resolves a group with the given external ID from the customer's IdP. If the group does not exist, it will be created in the account.
 If the customer is not onboarded onto Automatic Identity Management (AIM), this will return an error.

API scopes: identity

## Path parameters

- `account_id` (string, optional)
  Required. The account ID for which the group is being resolved.

## Request body

- `external_id` (string, optional)
  Required. The external ID of the group in the customer's IdP.

## Returns

- `group` (object, optional)
  The group that was resolved.
  - `account_id` (string, optional)
    The parent account ID for group in <Databricks>.
  - `group_id` (string, optional)
    Internal group ID of the group in <Databricks>.
  - `external_id` (string, optional)
    ExternalId of the group in the customer's IdP.
  - `group_name` (string, optional)
    Display name of the group.

## Response

```json
{
  "group": {
    "account_id": "string",
    "group_id": "string",
    "external_id": "string",
    "group_name": "string"
  }
}
```

